<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LadoCorredor extends Model
{
    use HasFactory;
    protected $table='ladocorredores';
    use SoftDeletes;
    protected $dates = ['deleted_at'];

    public function getCorredor(){

        return $this->belongsTo( Corredor::class, 'corredor_id', 'id');
    }

    public function getModulos_lados(){
        return $this->hasMany(Modulo::class);
    }
}
